Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.versification
Class FileVersificationMapping

    java.lang.Object
      org.crosswire.jsword.versification.FileVersificationMapping

    public class FileVersificationMapping

extends Object

This reads a file up front and creates the key value pairs. Because we're not quite using the 'properties' file definition because we allow duplicate keys on either side of the '=' sign, we need to do the processing ourselves.

Author:
  chrisburrell
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`private List<KeyValuePair>` | `pairs`

Constructor Summary
`FileVersificationMapping()` Allow a default initialising if someone wants to create a mapping file dynamically.
`FileVersificationMapping(Versification versification)`

Method Summary
`void` | `addProperty(String key, String value)`
`List<KeyValuePair>` | `getMappings()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pairs

    private List<KeyValuePair> pairs

Constructor Detail

### FileVersificationMapping

    public FileVersificationMapping()

  Allow a default initialising if someone wants to create a mapping file dynamically.

### FileVersificationMapping

    public FileVersificationMapping(Versification versification)
                             throws IOException,
                                    ConfigException

Parameters:
  `versification` - the name of the versification maps to the expected .properties file
Throws:
  `IOException` - error reading the mapping files
  `ConfigException` - error parsing the contents of the file

Method Detail

### addProperty

    public void addProperty(String key,
                            String value)

  Parameters:
    `key` - the key
    `value` - the value

### getMappings

    public List<KeyValuePair> getMappings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD